# Class Appointment

java.lang.Object
com.independentsoft.pst.Item
com.independentsoft.pst.Appointment

public class Appointment extends Item
The Class Appointment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAppointmentMessageClass()`
  Gets the appointment message class.
  `BusyStatus`
  `getBusyStatus()`
  Gets the busy status.
  `Date`
  `getCommonEndTime()`
  Gets the common end time.
  `Date`
  `getCommonStartTime()`
  Gets the common start time.
  `List<String>`
  `getCompanies()`
  Gets the companies.
  `long`
  `getDuration()`
  Gets the duration.
  `Date`
  `getEndTime()`
  Gets the end time.
  `Date`
  `getFlagDueBy()`
  Gets the flag due by.
  `byte[]`
  `getGuid()`
  Gets the guid.
  `long`
  `getLabel()`
  Gets the label.
  `String`
  `getLocation()`
  Gets the location.
  `MeetingStatus`
  `getMeetingStatus()`
  Gets the meeting status.
  `String`
  `getRecurrencePattern()`
  Gets the recurrence pattern.
  `String`
  `getRecurrencePatternDescription()`
  Gets the recurrence pattern description.
  `RecurrenceType`
  `getRecurrenceType()`
  Gets the recurrence type.
  `long`
  `getReminderMinutesBeforeStart()`
  Gets the reminder minutes before start.
  `boolean`
  `getReminderOverrideDefault()`
  Gets the reminder override default.
  `boolean`
  `getReminderPlaySound()`
  Gets the reminder play sound.
  `String`
  `getReminderSoundFile()`
  Gets the reminder sound file.
  `Date`
  `getReminderTime()`
  Gets the reminder time.
  `ResponseStatus`
  `getResponseStatus()`
  Gets the response status.
  `Date`
  `getStartTime()`
  Gets the start time.
  `String`
  `getTimeZone()`
  Gets the time zone.
  `boolean`
  `isAllDayEvent()`
  Checks if is all day event.
  `boolean`
  `isPrivate()`
  Checks if is private.
  `boolean`
  `isRecurring()`
  Checks if is recurring.
  `boolean`
  `isReminderSet()`
  Checks if is reminder set.

  ### Methods inherited from class com.independentsoft.pst.Item

  `getAttachments, getBillingInformation, getBody, getBodyHtml, getBodyHtmlText, getBodyRtf, getCategories, getClientSubmitTime, getCodePage, getConversationIndex, getConversationTopic, getCreationTime, getCreatorName, getDisableFullFidelity, getDisplayBcc, getDisplayCc, getDisplayTo, getEncoding, getEntryId, getExtendedProperties, getFlagIcon, getFlagStatus, getIconIndex, getId, getImportance, getInReplyTo, getInternetCodePage, getInternetMessageId, getInternetReferences, getKeywords, getLastModificationTime, getLastModifierName, getLastVerbExecuted, getLastVerbExecutionTime, getMessageClass, getMessageDeliveryTime, getMessageFile, getMessageFile, getMessageFlags, getMileage, getNormalizedSubject, getObjectType, getOriginalDisplayTo, getOutlookInternalVersion, getOutlookVersion, getParentId, getPriority, getProviderSubmitTime, getReceivedByAddressType, getReceivedByEmailAddress, getReceivedByEntryId, getReceivedByName, getReceivedBySearchKey, getReceivedRepresentingAddressType, getReceivedRepresentingEmailAddress, getReceivedRepresentingEntryId, getReceivedRepresentingName, getReceivedRepresentingSearchKey, getRecipients, getReplyTo, getReportText, getReportTime, getRtfCompressed, getRtfInSync, getSearchKey, getSenderAddressType, getSenderEmailAddress, getSenderEntryId, getSenderName, getSenderSearchKey, getSensitivity, getSentRepresentingAddressType, getSentRepresentingEmailAddress, getSentRepresentingEntryId, getSentRepresentingName, getSentRepresentingSearchKey, getSize, getSubject, getSubjectPrefix, getTable, getTransportMessageHeaders, hasAttachment, isEmbedded, isHidden, isReadOnly, isSystem, save, save, save, save, save, save`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getStartTime

    public Date getStartTime()
    Gets the start time.
    Returns:
      the start time

  - ### getEndTime

    public Date getEndTime()
    Gets the end time.
    Returns:
      the end time

  - ### getLocation

    public String getLocation()
    Gets the location.
    Returns:
      the location

  - ### getAppointmentMessageClass

    public String getAppointmentMessageClass()
    Gets the appointment message class.
    Returns:
      the appointment message class

  - ### getTimeZone

    public String getTimeZone()
    Gets the time zone.
    Returns:
      the time zone

  - ### getRecurrencePattern

    public String getRecurrencePattern()
    Gets the recurrence pattern.
    Returns:
      the recurrence pattern

  - ### getRecurrencePatternDescription

    public String getRecurrencePatternDescription()
    Gets the recurrence pattern description.
    Returns:
      the recurrence pattern description

  - ### getGuid

    public byte[] getGuid()
    Gets the guid.
    Returns:
      the guid

  - ### getLabel

    public long getLabel()
    Gets the label.
    Returns:
      the label

  - ### getDuration

    public long getDuration()
    Gets the duration.
    Returns:
      the duration

  - ### getBusyStatus

    public BusyStatus getBusyStatus()
    Gets the busy status.
    Returns:
      the busy status

  - ### getMeetingStatus

    public MeetingStatus getMeetingStatus()
    Gets the meeting status.
    Returns:
      the meeting status

  - ### getResponseStatus

    public ResponseStatus getResponseStatus()
    Gets the response status.
    Returns:
      the response status

  - ### getRecurrenceType

    public RecurrenceType getRecurrenceType()
    Gets the recurrence type.
    Returns:
      the recurrence type

  - ### getReminderSoundFile

    public String getReminderSoundFile()
    Gets the reminder sound file.
    Returns:
      the reminder sound file

  - ### isPrivate

    public boolean isPrivate()
    Checks if is private.
    Returns:
      true, if is private

  - ### getReminderOverrideDefault

    public boolean getReminderOverrideDefault()
    Gets the reminder override default.
    Returns:
      the reminder override default

  - ### getReminderPlaySound

    public boolean getReminderPlaySound()
    Gets the reminder play sound.
    Returns:
      the reminder play sound

  - ### isRecurring

    public boolean isRecurring()
    Checks if is recurring.
    Returns:
      true, if is recurring

  - ### isAllDayEvent

    public boolean isAllDayEvent()
    Checks if is all day event.
    Returns:
      true, if is all day event

  - ### isReminderSet

    public boolean isReminderSet()
    Checks if is reminder set.
    Returns:
      true, if is reminder set

  - ### getReminderTime

    public Date getReminderTime()
    Gets the reminder time.
    Returns:
      the reminder time

  - ### getReminderMinutesBeforeStart

    public long getReminderMinutesBeforeStart()
    Gets the reminder minutes before start.
    Returns:
      the reminder minutes before start

  - ### getCommonStartTime

    public Date getCommonStartTime()
    Gets the common start time.
    Returns:
      the common start time

  - ### getCommonEndTime

    public Date getCommonEndTime()
    Gets the common end time.
    Returns:
      the common end time

  - ### getFlagDueBy

    public Date getFlagDueBy()
    Gets the flag due by.
    Returns:
      the flag due by

  - ### getCompanies

    public List<String> getCompanies()
    Gets the companies.
    Returns:
      the companies